List MCP Gateways
curl --request GET \
--url https://api.enkryptai.com/mcp-gateway/list-gateways \
--header 'apikey: <api-key>'import requests
url = "https://api.enkryptai.com/mcp-gateway/list-gateways"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.enkryptai.com/mcp-gateway/list-gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gateways": [
{
"gateway_saved_name": "<string>",
"gateway_version": "<string>",
"servers_config": {
"common_overrides": {
"input_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
},
"output_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
},
"server_tools_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
}
},
"servers": [
{
"saved_name": "<string>",
"server_version": "v1",
"input_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
},
"output_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
}
}
]
},
"gateway_id": "<string>",
"project_name": "<string>",
"is_active": true,
"is_sample": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123,
"has_next": true,
"has_previous": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}๐ช MCP Gateways API
List MCP Gateways
List all MCP gateways for the authenticated user with pagination support.
GET
/
mcp-gateway
/
list-gateways
List MCP Gateways
Authorizations
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Example:
1
Number of items per page (max 100)
Required range:
1 <= x <= 100Example:
10
Optional filter on the is_active column. Omit to return all rows (default behaviour). Set to true for active-only or false for inactive-only.
โI

